_grk_channel_definition Struct Reference

Channel definitions and number of definitions. More...

`#include <grok.h>`

## Public Attributes

grk_channel_description * | descriptions
uint16_t | num_channel_descriptions

## Detailed Description

Channel definitions and number of definitions.

## Member Data Documentation

## descriptions

grk_channel_description* _grk_channel_definition::descriptions

Referenced by grk::GrkImage::apply_channel_definition(), grk::GrkImage::check_color(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::preProcess(), and grk::GrkImageMeta::releaseColor().

## num_channel_descriptions

uint16_t _grk_channel_definition::num_channel_descriptions

Referenced by grk::GrkImage::apply_channel_definition(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::preProcess(), and grk::FileFormatCompress::write_channel_definition().

The documentation for this struct was generated from the following file:

- grok.h